[Cubicweb] Cubicweb 3.10 update on lenny broken

Jean-Philippe Thierry jphthierry.perso at gmail.com
Thu Oct 14 07:20:48 CEST 2010


Hi,

it seems the cubicweb-server package configuration is broken and blocks
configuration of cubicweb-dev and cubicweb packages. Here is the output of
aptitude:

Paramétrage de cubicweb-server (3.10.0-1) ...
/usr/share/cubicweb/migration/3.10.0_Any.py:12: Warning: 'with' will become
a reserved keyword in Python 2.6
Compiling /usr/share/cubicweb/migration/3.10.0_Any.py ...
  File "/usr/share/cubicweb/migration/3.10.0_Any.py", line 12
    with hooks_control(session, session.HOOKS_ALLOW_ALL, 'cw.sources'):
                     ^
SyntaxError: invalid syntax

pycentral: pycentral pkginstall: error byte-compiling files (22)
pycentral pkginstall: error byte-compiling files (22)
dpkg : erreur de traitement de cubicweb-server (--configure) :
 le sous-processus post-installation script a retourné une erreur de sortie
d'état 1
dpkg : des problèmes de dépendances empêchent la configuration de cubicweb :
 cubicweb dépend de cubicweb-server (= 3.10.0-1) ; cependant :
 Le paquet cubicweb-server n'est pas encore configuré.
dpkg : erreur de traitement de cubicweb (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de
cubicweb-dev :
 cubicweb-dev dépend de cubicweb-server (= 3.10.0-1) ; cependant :
 Le paquet cubicweb-server n'est pas encore configuré.
dpkg : erreur de traitement de cubicweb-dev (--configure) :
 problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
 cubicweb-server
 cubicweb
 cubicweb-dev
E: Sub-process /usr/bin/dpkg returned an error code (1)
Échec de l'installation d'un paquet. Tentative de réparation :
Paramétrage de cubicweb-server (3.10.0-1) ...
/usr/share/cubicweb/migration/3.10.0_Any.py:12: Warning: 'with' will become
a reserved keyword in Python 2.6
Compiling /usr/share/cubicweb/migration/3.10.0_Any.py ...
  File "/usr/share/cubicweb/migration/3.10.0_Any.py", line 12
    with hooks_control(session, session.HOOKS_ALLOW_ALL, 'cw.sources'):
                     ^
SyntaxError: invalid syntax

pycentral: pycentral pkginstall: error byte-compiling files (22)
pycentral pkginstall: error byte-compiling files (22)
dpkg : erreur de traitement de cubicweb-server (--configure) :
 le sous-processus post-installation script a retourné une erreur de sortie
d'état 1
dpkg : des problèmes de dépendances empêchent la configuration de cubicweb :
 cubicweb dépend de cubicweb-server (= 3.10.0-1) ; cependant :
 Le paquet cubicweb-server n'est pas encore configuré.
dpkg : erreur de traitement de cubicweb (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de
cubicweb-dev :
 cubicweb-dev dépend de cubicweb-server (= 3.10.0-1) ; cependant :
 Le paquet cubicweb-server n'est pas encore configuré.
dpkg : erreur de traitement de cubicweb-dev (--configure) :
 problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
 cubicweb-server
 cubicweb
 cubicweb-dev

any clue?

--
Jean-Philippe
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.cubicweb.org/pipermail/cubicweb/attachments/20101014/06c70cbe/attachment-0186.html>


More information about the Cubicweb mailing list